<?php
// $Id: template.php,v 1.10 2011/01/14 02:57:57 jmburnz Exp $

/**
 * Preprocess and Process Functions SEE: http://drupal.org/node/254940#variables-processor
 * 1. Rename each function to match your subthemes name,
 *    e.g. if you name your theme "themeName" then the function
 *    name will be "themeName_preprocess_hook". Tip - you can
 *    search/replace on "genesis_SUBTHEME".
 * 2. Uncomment the required function to use.
 */

/**
 * Override or insert variables into all templates.
 */
function PASW_genesis_SUBTHEME_preprocess(&$vars, $hook) {
}
function PASW_genesis_SUBTHEME_process(&$vars, $hook) {
}
// */

/**
 * Override or insert variables into the html templates.
 */
function PASW_genesis_SUBTHEME_preprocess_html(&$vars) {
  // Uncomment the folowing line to add a conditional stylesheet for IE 7 or less.
  drupal_add_css(path_to_theme() . '/css/ie/ie-lte-7.css', array('weight' => CSS_THEME, 'browsers' => array('IE' => 'lte IE 7', '!IE' => FALSE), 'preprocess' => FALSE));
}
function PASW_genesis_SUBTHEME_process_html(&$vars) {
}
// */

/**
 * Override or insert variables into the page templates.
 */
function PASW_genesis_SUBTHEME_preprocess_page(&$vars) {
}
function PASW_genesis_SUBTHEME_process_page(&$vars) {
}
// */

/**
 * Override or insert variables into the node templates.
 */
function PASW_genesis_SUBTHEME_preprocess_node(&$vars) {
}
function PASW_genesis_SUBTHEMEE_process_node(&$vars) {
}
// */

/**
 * Override or insert variables into the comment templates.
 */
function PASW_genesis_SUBTHEME_preprocess_comment(&$vars) {
}
function PASW_genesis_SUBTHEMEE_process_comment(&$vars) {
}
// */

/**
 * Override or insert variables into the block templates.
 */
function PASW_genesis_SUBTHEME_preprocess_block(&$vars) {
}
function PASW_genesis_SUBTHEME_process_block(&$vars) {
}
// */
function PASW_genesis_SUBTHEME_date_select($variables) {
$element = $variables['element'];
  $attributes = !empty($element['#wrapper_attributes']) ? $element['#wrapper_attributes'] : array('class' => array());
  $attributes['class'][] = 'container-inline-date';
  $wrapper_attributes = array('class' => array('date-padding'));
  $wrapper_attributes['class'][] = 'clearfix';
  // Add an wrapper to mimic the way a single value field works, for ease in
  // using #states.
  //if (isset($element['#children'])) {
  //  $element['#children'] = '<div id="' . $element['#id'] . '" ' . drupal_attributes($wrapper_attributes) . '>' . $element['#children'] . '</div>';
 // }
 return '<div ' . drupal_attributes($attributes) . '>' . theme('form_element', $element) . '</div>';
}

function PASW_genesis_SUBTHEME_preprocess_views_view(&$vars) {
  // Wrap exposed filters in a fieldset.
  if ($vars['exposed']) {
    drupal_add_js('misc/form.js');
    drupal_add_js('misc/collapse.js');
    // Default collapsed
    $collapsed = FALSE;
    $class = array('collapsible');
    if (count($_GET) > 1){
      // assume other get vars are exposed filters, so expand fieldset
      // to show applied filters
      $collapsed = FALSE;
      $class = array('collapsible');
    }
    $fieldset['element'] = array(
      '#title' => t('Search'),
      '#collapsible' => TRUE,
      '#collapsed' => $collapsed,
      '#attributes' => array('class' => $class),
      '#children' => $vars['exposed'],
    );
    $vars['exposed'] = theme('fieldset', $fieldset);
  }
}

 


