<?php
/**
 * @file
 * pasw_1_amministrazione_trasparente.features.user_permission.inc
 */

/**
 * Implements hook_user_default_permissions().
 */
function pasw_1_amministrazione_trasparente_user_default_permissions() {
  $permissions = array();

  // Exported permission: access advanced_link autocomplete.
  $permissions['access advanced_link autocomplete'] = array(
    'name' => 'access advanced_link autocomplete',
    'roles' => array(
      'Direttore' => 'Direttore',
      'Redatt.doc' => 'Redatt.doc',
      'Redatt.seg' => 'Redatt.seg',
      'administrator' => 'administrator',
    ),
    'module' => 'advanced_link',
  );

  // Exported permission: access toolbar.
  $permissions['access toolbar'] = array(
    'name' => 'access toolbar',
    'roles' => array(
      'Redatt.seg' => 'Redatt.seg',
      'administrator' => 'administrator',
    ),
    'module' => 'toolbar',
  );

  // Exported permission: administer blocks.
  $permissions['administer blocks'] = array(
    'name' => 'administer blocks',
    'roles' => array(
      'administrator' => 'administrator',
    ),
    'module' => 'block',
  );

  // Exported permission: administer url aliases.
  $permissions['administer url aliases'] = array(
    'name' => 'administer url aliases',
    'roles' => array(
      'Direttore' => 'Direttore',
      'Redatt.seg' => 'Redatt.seg',
      'administrator' => 'administrator',
    ),
    'module' => 'path',
  );

  // Exported permission: clone node.
  $permissions['clone node'] = array(
    'name' => 'clone node',
    'roles' => array(
      'Direttore' => 'Direttore',
      'Redatt.seg' => 'Redatt.seg',
      'administrator' => 'administrator',
    ),
    'module' => 'clone',
  );

  // Exported permission: clone own nodes.
  $permissions['clone own nodes'] = array(
    'name' => 'clone own nodes',
    'roles' => array(
      'Direttore' => 'Direttore',
      'Redatt.seg' => 'Redatt.seg',
      'administrator' => 'administrator',
    ),
    'module' => 'clone',
  );

  // Exported permission: create elenco content.
  $permissions['create elenco content'] = array(
    'name' => 'create elenco content',
    'roles' => array(
      'Direttore' => 'Direttore',
      'Redatt.seg' => 'Redatt.seg',
      'administrator' => 'administrator',
    ),
    'module' => 'node',
  );

  // Exported permission: create elenco_incarichi content.
  $permissions['create elenco_incarichi content'] = array(
    'name' => 'create elenco_incarichi content',
    'roles' => array(
      'Direttore' => 'Direttore',
      'Redatt.seg' => 'Redatt.seg',
      'administrator' => 'administrator',
    ),
    'module' => 'node',
  );

  // Exported permission: create elenco_incarichi_autorizzati content.
  $permissions['create elenco_incarichi_autorizzati content'] = array(
    'name' => 'create elenco_incarichi_autorizzati content',
    'roles' => array(
      'Direttore' => 'Direttore',
      'Redatt.seg' => 'Redatt.seg',
      'administrator' => 'administrator',
    ),
    'module' => 'node',
  );

  // Exported permission: create elenco_incarichi_sog_privati content.
  $permissions['create elenco_incarichi_sog_privati content'] = array(
    'name' => 'create elenco_incarichi_sog_privati content',
    'roles' => array(
      'Direttore' => 'Direttore',
      'Redatt.seg' => 'Redatt.seg',
      'administrator' => 'administrator',
    ),
    'module' => 'node',
  );

  // Exported permission: create page content.
  $permissions['create page content'] = array(
    'name' => 'create page content',
    'roles' => array(
      'Direttore' => 'Direttore',
      'Redatt.seg' => 'Redatt.seg',
      'administrator' => 'administrator',
    ),
    'module' => 'node',
  );

  // Exported permission: create trasparenza content.
  $permissions['create trasparenza content'] = array(
    'name' => 'create trasparenza content',
    'roles' => array(
      'Direttore' => 'Direttore',
      'Redatt.seg' => 'Redatt.seg',
      'administrator' => 'administrator',
    ),
    'module' => 'node',
  );

  // Exported permission: create url aliases.
  $permissions['create url aliases'] = array(
    'name' => 'create url aliases',
    'roles' => array(
      'Direttore' => 'Direttore',
      'Redatt.seg' => 'Redatt.seg',
      'administrator' => 'administrator',
    ),
    'module' => 'path',
  );

  // Exported permission: delete any elenco content.
  $permissions['delete any elenco content'] = array(
    'name' => 'delete any elenco content',
    'roles' => array(
      'Direttore' => 'Direttore',
      'Redatt.seg' => 'Redatt.seg',
      'administrator' => 'administrator',
    ),
    'module' => 'node',
  );

  // Exported permission: delete any elenco_incarichi content.
  $permissions['delete any elenco_incarichi content'] = array(
    'name' => 'delete any elenco_incarichi content',
    'roles' => array(
      'Direttore' => 'Direttore',
      'Redatt.seg' => 'Redatt.seg',
      'administrator' => 'administrator',
    ),
    'module' => 'node',
  );

  // Exported permission: delete any elenco_incarichi_autorizzati content.
  $permissions['delete any elenco_incarichi_autorizzati content'] = array(
    'name' => 'delete any elenco_incarichi_autorizzati content',
    'roles' => array(
      'Direttore' => 'Direttore',
      'Redatt.seg' => 'Redatt.seg',
      'administrator' => 'administrator',
    ),
    'module' => 'node',
  );

  // Exported permission: delete any elenco_incarichi_sog_privati content.
  $permissions['delete any elenco_incarichi_sog_privati content'] = array(
    'name' => 'delete any elenco_incarichi_sog_privati content',
    'roles' => array(
      'Direttore' => 'Direttore',
      'Redatt.seg' => 'Redatt.seg',
      'administrator' => 'administrator',
    ),
    'module' => 'node',
  );

  // Exported permission: delete any page content.
  $permissions['delete any page content'] = array(
    'name' => 'delete any page content',
    'roles' => array(
      'Direttore' => 'Direttore',
      'Redatt.seg' => 'Redatt.seg',
      'administrator' => 'administrator',
    ),
    'module' => 'node',
  );

  // Exported permission: delete any trasparenza content.
  $permissions['delete any trasparenza content'] = array(
    'name' => 'delete any trasparenza content',
    'roles' => array(
      'Direttore' => 'Direttore',
      'Redatt.seg' => 'Redatt.seg',
      'administrator' => 'administrator',
    ),
    'module' => 'node',
  );

  // Exported permission: delete own elenco content.
  $permissions['delete own elenco content'] = array(
    'name' => 'delete own elenco content',
    'roles' => array(
      'Direttore' => 'Direttore',
      'Redatt.seg' => 'Redatt.seg',
      'administrator' => 'administrator',
    ),
    'module' => 'node',
  );

  // Exported permission: delete own elenco_incarichi content.
  $permissions['delete own elenco_incarichi content'] = array(
    'name' => 'delete own elenco_incarichi content',
    'roles' => array(
      'Direttore' => 'Direttore',
      'Redatt.seg' => 'Redatt.seg',
      'administrator' => 'administrator',
    ),
    'module' => 'node',
  );

  // Exported permission: delete own elenco_incarichi_autorizzati content.
  $permissions['delete own elenco_incarichi_autorizzati content'] = array(
    'name' => 'delete own elenco_incarichi_autorizzati content',
    'roles' => array(
      'Direttore' => 'Direttore',
      'Redatt.seg' => 'Redatt.seg',
      'administrator' => 'administrator',
    ),
    'module' => 'node',
  );

  // Exported permission: delete own elenco_incarichi_sog_privati content.
  $permissions['delete own elenco_incarichi_sog_privati content'] = array(
    'name' => 'delete own elenco_incarichi_sog_privati content',
    'roles' => array(
      'Direttore' => 'Direttore',
      'Redatt.seg' => 'Redatt.seg',
      'administrator' => 'administrator',
    ),
    'module' => 'node',
  );

  // Exported permission: delete own page content.
  $permissions['delete own page content'] = array(
    'name' => 'delete own page content',
    'roles' => array(
      'Direttore' => 'Direttore',
      'Redatt.seg' => 'Redatt.seg',
      'administrator' => 'administrator',
    ),
    'module' => 'node',
  );

  // Exported permission: delete own trasparenza content.
  $permissions['delete own trasparenza content'] = array(
    'name' => 'delete own trasparenza content',
    'roles' => array(
      'Direttore' => 'Direttore',
      'Redatt.seg' => 'Redatt.seg',
      'administrator' => 'administrator',
    ),
    'module' => 'node',
  );

  // Exported permission: edit any elenco content.
  $permissions['edit any elenco content'] = array(
    'name' => 'edit any elenco content',
    'roles' => array(
      'Direttore' => 'Direttore',
      'Redatt.seg' => 'Redatt.seg',
      'administrator' => 'administrator',
    ),
    'module' => 'node',
  );

  // Exported permission: edit any elenco_incarichi content.
  $permissions['edit any elenco_incarichi content'] = array(
    'name' => 'edit any elenco_incarichi content',
    'roles' => array(
      'Direttore' => 'Direttore',
      'Redatt.seg' => 'Redatt.seg',
      'administrator' => 'administrator',
    ),
    'module' => 'node',
  );

  // Exported permission: edit any elenco_incarichi_autorizzati content.
  $permissions['edit any elenco_incarichi_autorizzati content'] = array(
    'name' => 'edit any elenco_incarichi_autorizzati content',
    'roles' => array(
      'Direttore' => 'Direttore',
      'Redatt.seg' => 'Redatt.seg',
      'administrator' => 'administrator',
    ),
    'module' => 'node',
  );

  // Exported permission: edit any elenco_incarichi_sog_privati content.
  $permissions['edit any elenco_incarichi_sog_privati content'] = array(
    'name' => 'edit any elenco_incarichi_sog_privati content',
    'roles' => array(
      'Direttore' => 'Direttore',
      'Redatt.seg' => 'Redatt.seg',
      'administrator' => 'administrator',
    ),
    'module' => 'node',
  );

  // Exported permission: edit any page content.
  $permissions['edit any page content'] = array(
    'name' => 'edit any page content',
    'roles' => array(
      'Direttore' => 'Direttore',
      'Redatt.seg' => 'Redatt.seg',
      'administrator' => 'administrator',
    ),
    'module' => 'node',
  );

  // Exported permission: edit any trasparenza content.
  $permissions['edit any trasparenza content'] = array(
    'name' => 'edit any trasparenza content',
    'roles' => array(
      'Direttore' => 'Direttore',
      'Redatt.seg' => 'Redatt.seg',
      'administrator' => 'administrator',
    ),
    'module' => 'node',
  );

  // Exported permission: edit own elenco content.
  $permissions['edit own elenco content'] = array(
    'name' => 'edit own elenco content',
    'roles' => array(
      'Direttore' => 'Direttore',
      'Redatt.seg' => 'Redatt.seg',
      'administrator' => 'administrator',
    ),
    'module' => 'node',
  );

  // Exported permission: edit own elenco_incarichi content.
  $permissions['edit own elenco_incarichi content'] = array(
    'name' => 'edit own elenco_incarichi content',
    'roles' => array(
      'Direttore' => 'Direttore',
      'Redatt.seg' => 'Redatt.seg',
      'administrator' => 'administrator',
    ),
    'module' => 'node',
  );

  // Exported permission: edit own elenco_incarichi_autorizzati content.
  $permissions['edit own elenco_incarichi_autorizzati content'] = array(
    'name' => 'edit own elenco_incarichi_autorizzati content',
    'roles' => array(
      'Direttore' => 'Direttore',
      'Redatt.seg' => 'Redatt.seg',
      'administrator' => 'administrator',
    ),
    'module' => 'node',
  );

  // Exported permission: edit own elenco_incarichi_sog_privati content.
  $permissions['edit own elenco_incarichi_sog_privati content'] = array(
    'name' => 'edit own elenco_incarichi_sog_privati content',
    'roles' => array(
      'Direttore' => 'Direttore',
      'Redatt.seg' => 'Redatt.seg',
      'administrator' => 'administrator',
    ),
    'module' => 'node',
  );

  // Exported permission: edit own page content.
  $permissions['edit own page content'] = array(
    'name' => 'edit own page content',
    'roles' => array(
      'Direttore' => 'Direttore',
      'Redatt.seg' => 'Redatt.seg',
      'administrator' => 'administrator',
    ),
    'module' => 'node',
  );

  // Exported permission: edit own trasparenza content.
  $permissions['edit own trasparenza content'] = array(
    'name' => 'edit own trasparenza content',
    'roles' => array(
      'Direttore' => 'Direttore',
      'Redatt.seg' => 'Redatt.seg',
      'administrator' => 'administrator',
    ),
    'module' => 'node',
  );

  // Exported permission: view any unpublished elenco content.
  $permissions['view any unpublished elenco content'] = array(
    'name' => 'view any unpublished elenco content',
    'roles' => array(
      'Direttore' => 'Direttore',
      'Redatt.seg' => 'Redatt.seg',
      'administrator' => 'administrator',
    ),
    'module' => 'view_unpublished',
  );

  // Exported permission: view any unpublished elenco_incarichi content.
  $permissions['view any unpublished elenco_incarichi content'] = array(
    'name' => 'view any unpublished elenco_incarichi content',
    'roles' => array(
      'Direttore' => 'Direttore',
      'Redatt.seg' => 'Redatt.seg',
      'administrator' => 'administrator',
    ),
    'module' => 'view_unpublished',
  );

  // Exported permission: view any unpublished elenco_incarichi_autorizzati content.
  $permissions['view any unpublished elenco_incarichi_autorizzati content'] = array(
    'name' => 'view any unpublished elenco_incarichi_autorizzati content',
    'roles' => array(
      'Direttore' => 'Direttore',
      'Redatt.seg' => 'Redatt.seg',
      'administrator' => 'administrator',
    ),
    'module' => 'view_unpublished',
  );

  // Exported permission: view any unpublished elenco_incarichi_sog_privati content.
  $permissions['view any unpublished elenco_incarichi_sog_privati content'] = array(
    'name' => 'view any unpublished elenco_incarichi_sog_privati content',
    'roles' => array(
      'Direttore' => 'Direttore',
      'Redatt.seg' => 'Redatt.seg',
      'administrator' => 'administrator',
    ),
    'module' => 'view_unpublished',
  );

  // Exported permission: view any unpublished page content.
  $permissions['view any unpublished page content'] = array(
    'name' => 'view any unpublished page content',
    'roles' => array(
      'Direttore' => 'Direttore',
      'Redatt.seg' => 'Redatt.seg',
      'administrator' => 'administrator',
    ),
    'module' => 'view_unpublished',
  );

  // Exported permission: view any unpublished trasparenza content.
  $permissions['view any unpublished trasparenza content'] = array(
    'name' => 'view any unpublished trasparenza content',
    'roles' => array(
      'Direttore' => 'Direttore',
      'Redatt.seg' => 'Redatt.seg',
      'administrator' => 'administrator',
    ),
    'module' => 'view_unpublished',
  );

  // Exported permission: view the administration theme.
  $permissions['view the administration theme'] = array(
    'name' => 'view the administration theme',
    'roles' => array(
      'Direttore' => 'Direttore',
      'Redatt.doc' => 'Redatt.doc',
      'Redatt.seg' => 'Redatt.seg',
      'administrator' => 'administrator',
    ),
    'module' => 'system',
  );

  return $permissions;
}
