<?php
/**
 * @file
 * pasw_1_amministrazione_trasparente.field_group.inc
 */

/**
 * Implements hook_field_group_info().
 */
function pasw_1_amministrazione_trasparente_field_group_info() {
  $export = array();

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_area_servizio|node|page|form';
  $field_group->group_name = 'group_area_servizio';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'page';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Area di servizio',
    'weight' => '6',
    'children' => array(
      0 => 'field_atto_di_proclamazione',
      1 => 'field_obbligo_sezione_amministra',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'formatter' => 'collapsible',
      'instance_settings' => array(
        'description' => '',
        'classes' => '',
        'required_fields' => 1,
      ),
    ),
  );
  $export['group_area_servizio|node|page|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_area_servizio|node|trasparenza|form';
  $field_group->group_name = 'group_area_servizio';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'trasparenza';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Area di servizio',
    'weight' => '8',
    'children' => array(
      0 => 'field_anno_di_partenza_per_rimoz',
      1 => 'field_data_di_rimozione_del_docu',
      2 => 'field_data_rimozione_personalizz',
      3 => 'field_rimozione_automatica_dalla',
      4 => 'group_art_8',
      5 => 'group_dlgs_14',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'label' => 'Area di servizio',
      'instance_settings' => array(
        'required_fields' => 1,
        'classes' => '',
        'description' => '',
      ),
      'formatter' => 'collapsible',
    ),
  );
  $export['group_area_servizio|node|trasparenza|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_art_8|node|trasparenza|form';
  $field_group->group_name = 'group_art_8';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'trasparenza';
  $field_group->mode = 'form';
  $field_group->parent_name = 'group_area_servizio';
  $field_group->data = array(
    'label' => 'Dlgs 33/2013 - Art. 8 - Decorrenza e durata dell\'obbligo di pubblicazione',
    'weight' => '10',
    'children' => array(
      0 => 'field_comma_3',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'label' => 'Dlgs 33/2013 - Art. 8 - Decorrenza e durata dell\'obbligo di pubblicazione',
      'instance_settings' => array(
        'required_fields' => 1,
        'classes' => '',
        'description' => '',
      ),
      'formatter' => 'collapsed',
    ),
  );
  $export['group_art_8|node|trasparenza|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_campi_meta|node|page|form';
  $field_group->group_name = 'group_campi_meta';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'page';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Campi Meta',
    'weight' => '5',
    'children' => array(
      0 => 'meta_keywords',
      1 => 'field_page_dc_description',
      2 => 'meta_robots',
      3 => 'field_meta_description',
      4 => 'field_indicizzazione_robots',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'label' => 'Campi Meta',
      'instance_settings' => array(
        'required_fields' => 1,
        'classes' => '',
        'description' => '<p>Se intendi <strong>favorire l\'indicizzazione del contenuto</strong>, metti il <strong>segno di spunta in SI</strong>.<br/>
Il sistema dopo il salvataggio aggiungerà in head i meta name Robots e Description già compilati.<br/> 
<p><strong>Se metti il segno di spunta in NO, Il sistema aggiungerà in head meta name="robots" content="noarchive,noindex,nofollow" e lascerà vuoto il campo meta Description. I motori di ricerca non indicizzeranno il nodo</strong></p>
<p> Se non operi scelta o metti il segno di spunta in N/D i Meta Robots e Description non verranno inseriti in head</p>',
      ),
      'formatter' => 'collapsible',
    ),
  );
  $export['group_campi_meta|node|page|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_campi_meta|node|trasparenza|form';
  $field_group->group_name = 'group_campi_meta';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'trasparenza';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Campi Meta',
    'weight' => '7',
    'children' => array(
      0 => 'field_meta_description',
      1 => 'meta_keywords',
      2 => 'meta_robots',
      3 => 'field_trasparenza_dc_description',
      4 => 'field_indicizzazione_robots',
      5 => 'group_dlgs_33_2013_art_4',
      6 => 'group_uso',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'label' => 'Campi Meta',
      'instance_settings' => array(
        'required_fields' => 1,
        'classes' => '',
        'description' => '<p>Se intendi <strong>favorire l\'indicizzazione del contenuto</strong>, metti il <strong>segno di spunta in SI</strong>.<br/>
Il sistema dopo il salvataggio aggiungerà in head i meta name Robots e Description già compilati.<br/> 
<p><strong>Se metti il segno di spunta in NO, Il sistema aggiungerà in head meta name="robots" content="noarchive,noindex,nofollow" e lascerà vuoto il campo meta Description. I motori di ricerca non indicizzeranno il nodo</strong></p>
<p> Se non operi scelta o metti il segno di spunta in N/D i Meta Robots e Description non verranno inseriti in head</p>',
      ),
      'formatter' => 'collapsible',
    ),
  );
  $export['group_campi_meta|node|trasparenza|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_dlgs_14|node|trasparenza|form';
  $field_group->group_name = 'group_dlgs_14';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'trasparenza';
  $field_group->mode = 'form';
  $field_group->parent_name = 'group_area_servizio';
  $field_group->data = array(
    'label' => 'Dlgs 33/2013 - Art. 14 Obblighi di pubblicazione concernenti i componenti degli organi di indirizzo politico',
    'weight' => '11',
    'children' => array(
      0 => 'field_riferimento',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'label' => 'Dlgs 33/2013 - Art. 14 Obblighi di pubblicazione concernenti i componenti degli organi di indirizzo politico',
      'instance_settings' => array(
        'required_fields' => 1,
        'classes' => '',
        'description' => '',
      ),
      'formatter' => 'collapsed',
    ),
  );
  $export['group_dlgs_14|node|trasparenza|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_dlgs_33_2013_art_4|node|trasparenza|form';
  $field_group->group_name = 'group_dlgs_33_2013_art_4';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'trasparenza';
  $field_group->mode = 'form';
  $field_group->parent_name = 'group_campi_meta';
  $field_group->data = array(
    'label' => 'Dlgs 33/2013 - Art. 4 - Limiti alla trasparenza',
    'weight' => '15',
    'children' => array(
      0 => 'field_obblighi',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'label' => 'Dlgs 33/2013 - Art. 4 - Limiti alla trasparenza',
      'instance_settings' => array(
        'required_fields' => 1,
        'classes' => '',
        'description' => '',
      ),
      'formatter' => 'collapsed',
    ),
  );
  $export['group_dlgs_33_2013_art_4|node|trasparenza|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_importi|node|elenco|form';
  $field_group->group_name = 'group_importi';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'elenco';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Importi',
    'weight' => '6',
    'children' => array(
      0 => 'field_totale_lordo',
      1 => 'field_importo_lordo',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'label' => 'Importi',
      'instance_settings' => array(
        'required_fields' => 1,
        'classes' => '',
        'description' => '<ul><li><strong>Sono disponibili 10 campi perché potrebbe verificarsi il caso di più fatture annuali. <br />Il fornitore sarà automaticamente  visibile in parte pubblica solo quando l\'importo totale supererà  €1000,00</strong></li>
<li><strong>Inserisci solo numeri e separa con la virgola i decimali</strong><br /><strong>(Esempi: 1150,00 - 127,56 - 10752,89)</strong></li></ul>',
      ),
      'formatter' => 'open',
    ),
  );
  $export['group_importi|node|elenco|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_uso|node|trasparenza|form';
  $field_group->group_name = 'group_uso';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'trasparenza';
  $field_group->mode = 'form';
  $field_group->parent_name = 'group_campi_meta';
  $field_group->data = array(
    'label' => 'Uso dei meta - ISTRUZIONI',
    'weight' => '13',
    'children' => array(
      0 => 'field_istruzioni',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'label' => 'Uso dei meta - ISTRUZIONI',
      'instance_settings' => array(
        'required_fields' => 1,
        'classes' => '',
        'description' => '',
      ),
      'formatter' => 'collapsed',
    ),
  );
  $export['group_uso|node|trasparenza|form'] = $field_group;

  return $export;
}
