<?php
/**
 * @file
 * pasw_1_amministrazione_trasparente.rules_defaults.inc
 */

/**
 * Implements hook_default_rules_configuration().
 */
function pasw_1_amministrazione_trasparente_default_rules_configuration() {
  $items = array();
  $items['rules_fornitore_somma_importo_lordo'] = entity_import('rules_config', '{ "rules_fornitore_somma_importo_lordo" : {
      "LABEL" : "Fornitore - Somma importo lordo",
      "PLUGIN" : "reaction rule",
      "WEIGHT" : "-10",
      "TAGS" : [ "Amministrazione trasparente" ],
      "REQUIRES" : [ "rules", "rules_conditional" ],
      "ON" : [ "node_insert", "node_update" ],
      "IF" : [
        { "node_is_of_type" : { "node" : [ "node" ], "type" : { "value" : { "elenco" : "elenco" } } } }
      ],
      "DO" : [
        { "CONDITIONAL" : [
            {
              "IF" : { "NOT data_is_empty" : { "data" : [ "node:field-importo-lordo:11" ] } },
              "DO" : [
                { "data_calc" : {
                    "USING" : {
                      "input_1" : [ "node:field-totale-lordo" ],
                      "op" : "+",
                      "input_2" : [ "node:field-importo-lordo:11" ]
                    },
                    "PROVIDE" : { "result" : { "tot_lordo_11" : "Totale lordo 11" } }
                  }
                },
                { "data_set" : { "data" : [ "node:field-totale-lordo" ], "value" : [ "tot-lordo-11" ] } }
              ]
            }
          ]
        },
        { "CONDITIONAL" : [
            {
              "IF" : { "NOT data_is_empty" : { "data" : [ "node:field-importo-lordo:12" ] } },
              "DO" : [
                { "data_calc" : {
                    "USING" : {
                      "input_1" : [ "node:field-totale-lordo" ],
                      "op" : "+",
                      "input_2" : [ "node:field-importo-lordo:12" ]
                    },
                    "PROVIDE" : { "result" : { "tot_lordo_12" : "Totale lordo 12" } }
                  }
                },
                { "data_set" : { "data" : [ "node:field-totale-lordo" ], "value" : [ "tot-lordo-12" ] } }
              ]
            }
          ]
        },
        { "CONDITIONAL" : [
            {
              "IF" : { "data_is" : {
                  "data" : [ "node:field-totale-lordo" ],
                  "op" : "\\u003E",
                  "value" : "1000.00"
                }
              },
              "DO" : [ { "node_publish" : { "node" : [ "node" ] } } ]
            }
          ]
        },
        { "CONDITIONAL" : [
            {
              "IF" : { "NOT data_is" : {
                  "data" : [ "node:field-totale-lordo" ],
                  "op" : "\\u003E",
                  "value" : "1000.00"
                }
              },
              "DO" : [ { "node_unpublish" : { "node" : [ "node" ] } } ]
            }
          ]
        },
        { "CONDITIONAL" : [
            {
              "IF" : { "data_is" : {
                  "data" : [ "node:field-importo-lordo:0" ],
                  "op" : "\\u003E",
                  "value" : "1000.00"
                }
              },
              "DO" : [
                { "node_publish" : { "node" : [ "node" ] } },
                { "data_set" : {
                    "data" : [ "node:field-totale-lordo" ],
                    "value" : [ "node:field-importo-lordo:0" ]
                  }
                }
              ]
            }
          ]
        },
        { "CONDITIONAL" : [
            {
              "IF" : { "NOT data_is_empty" : { "data" : [ "node:field-importo-lordo:0" ] } },
              "DO" : [
                { "data_calc" : {
                    "USING" : {
                      "input_1" : [ "node:field-importo-lordo:0" ],
                      "op" : "+",
                      "input_2" : "0"
                    },
                    "PROVIDE" : { "result" : { "tot_lordo_0" : "Totale lordo 0" } }
                  }
                },
                { "data_set" : { "data" : [ "node:field-totale-lordo" ], "value" : [ "tot-lordo-0" ] } }
              ]
            }
          ]
        },
        { "CONDITIONAL" : [
            {
              "IF" : { "NOT data_is_empty" : { "data" : [ "node:field-importo-lordo:1" ] } },
              "DO" : [
                { "data_calc" : {
                    "USING" : {
                      "input_1" : [ "node:field-importo-lordo:0" ],
                      "op" : "+",
                      "input_2" : [ "node:field-importo-lordo:1" ]
                    },
                    "PROVIDE" : { "result" : { "tot_lordo_1" : "Totale lordo 1" } }
                  }
                },
                { "data_set" : { "data" : [ "node:field-totale-lordo" ], "value" : [ "tot-lordo-1" ] } }
              ]
            }
          ]
        },
        { "CONDITIONAL" : [
            {
              "IF" : { "NOT data_is_empty" : { "data" : [ "node:field-importo-lordo:2" ] } },
              "DO" : [
                { "data_calc" : {
                    "USING" : {
                      "input_1" : [ "node:field-totale-lordo" ],
                      "op" : "+",
                      "input_2" : [ "node:field-importo-lordo:2" ]
                    },
                    "PROVIDE" : { "result" : { "tot_lordo_2" : "Totale lordo 2" } }
                  }
                },
                { "data_set" : { "data" : [ "node:field-totale-lordo" ], "value" : [ "tot-lordo-2" ] } }
              ]
            }
          ]
        },
        { "CONDITIONAL" : [
            {
              "IF" : { "NOT data_is_empty" : { "data" : [ "node:field-importo-lordo:3" ] } },
              "DO" : [
                { "data_calc" : {
                    "USING" : {
                      "input_1" : [ "node:field-totale-lordo" ],
                      "op" : "+",
                      "input_2" : [ "node:field-importo-lordo:3" ]
                    },
                    "PROVIDE" : { "result" : { "tot_lordo_3" : "Totale lordo 3" } }
                  }
                },
                { "data_set" : { "data" : [ "node:field-totale-lordo" ], "value" : [ "tot-lordo-3" ] } }
              ]
            }
          ]
        },
        { "CONDITIONAL" : [
            {
              "IF" : { "NOT data_is_empty" : { "data" : [ "node:field-importo-lordo:4" ] } },
              "DO" : [
                { "data_calc" : {
                    "USING" : {
                      "input_1" : [ "node:field-totale-lordo" ],
                      "op" : "+",
                      "input_2" : [ "node:field-importo-lordo:4" ]
                    },
                    "PROVIDE" : { "result" : { "tot_lordo_4" : "Totale lordo 4" } }
                  }
                },
                { "data_set" : { "data" : [ "node:field-totale-lordo" ], "value" : [ "tot-lordo-4" ] } }
              ]
            }
          ]
        },
        { "CONDITIONAL" : [
            {
              "IF" : { "NOT data_is_empty" : { "data" : [ "node:field-importo-lordo:5" ] } },
              "DO" : [
                { "data_calc" : {
                    "USING" : {
                      "input_1" : [ "node:field-totale-lordo" ],
                      "op" : "+",
                      "input_2" : [ "node:field-importo-lordo:5" ]
                    },
                    "PROVIDE" : { "result" : { "tot_lordo_5" : "Totale lordo 5" } }
                  }
                },
                { "data_set" : { "data" : [ "node:field-totale-lordo" ], "value" : [ "tot-lordo-5" ] } }
              ]
            }
          ]
        },
        { "CONDITIONAL" : [
            {
              "IF" : { "NOT data_is_empty" : { "data" : [ "node:field-importo-lordo:6" ] } },
              "DO" : [
                { "data_calc" : {
                    "USING" : {
                      "input_1" : [ "node:field-totale-lordo" ],
                      "op" : "+",
                      "input_2" : [ "node:field-importo-lordo:6" ]
                    },
                    "PROVIDE" : { "result" : { "tot_lordo_6" : "Totale lordo 6" } }
                  }
                },
                { "data_set" : { "data" : [ "node:field-totale-lordo" ], "value" : [ "tot-lordo-6" ] } }
              ]
            }
          ]
        },
        { "CONDITIONAL" : [
            {
              "IF" : { "NOT data_is_empty" : { "data" : [ "node:field-importo-lordo:7" ] } },
              "DO" : [
                { "data_calc" : {
                    "USING" : {
                      "input_1" : [ "node:field-totale-lordo" ],
                      "op" : "+",
                      "input_2" : [ "node:field-importo-lordo:7" ]
                    },
                    "PROVIDE" : { "result" : { "tot_lordo_7" : "Totale lordo 7" } }
                  }
                },
                { "data_set" : { "data" : [ "node:field-totale-lordo" ], "value" : [ "tot-lordo-7" ] } }
              ]
            }
          ]
        },
        { "CONDITIONAL" : [
            {
              "IF" : { "NOT data_is_empty" : { "data" : [ "node:field-importo-lordo:8" ] } },
              "DO" : [
                { "data_calc" : {
                    "USING" : {
                      "input_1" : [ "node:field-totale-lordo" ],
                      "op" : "+",
                      "input_2" : [ "node:field-importo-lordo:8" ]
                    },
                    "PROVIDE" : { "result" : { "tot_lordo_8" : "Totale lordo 8" } }
                  }
                },
                { "data_set" : { "data" : [ "node:field-totale-lordo" ], "value" : [ "tot-lordo-8" ] } }
              ]
            }
          ]
        },
        { "CONDITIONAL" : [
            {
              "IF" : { "NOT data_is_empty" : { "data" : [ "node:field-importo-lordo:9" ] } },
              "DO" : [
                { "data_calc" : {
                    "USING" : {
                      "input_1" : [ "node:field-totale-lordo" ],
                      "op" : "+",
                      "input_2" : [ "node:field-importo-lordo:9" ]
                    },
                    "PROVIDE" : { "result" : { "tot_lordo_9" : "Totale lordo 9" } }
                  }
                },
                { "data_set" : { "data" : [ "node:field-totale-lordo" ], "value" : [ "tot-lordo-9" ] } }
              ]
            }
          ]
        },
        { "CONDITIONAL" : [
            {
              "IF" : { "NOT data_is_empty" : { "data" : [ "node:field-importo-lordo:10" ] } },
              "DO" : [
                { "data_calc" : {
                    "USING" : {
                      "input_1" : [ "node:field-totale-lordo" ],
                      "op" : "+",
                      "input_2" : [ "node:field-importo-lordo:10" ]
                    },
                    "PROVIDE" : { "result" : { "tot_lordo_10" : "Totale lordo 10" } }
                  }
                },
                { "data_set" : { "data" : [ "node:field-totale-lordo" ], "value" : [ "tot-lordo-10" ] } }
              ]
            }
          ]
        }
      ]
    }
  }');
  $items['rules_fornitore_spubblicazione'] = entity_import('rules_config', '{ "rules_fornitore_spubblicazione" : {
      "LABEL" : "Fornitore - Spubblicazione",
      "PLUGIN" : "reaction rule",
      "WEIGHT" : "-9",
      "TAGS" : [ "Amministrazione trasparente" ],
      "REQUIRES" : [ "rules", "rules_scheduler" ],
      "ON" : [ "node_insert", "node_update" ],
      "IF" : [
        { "node_is_of_type" : { "node" : [ "node" ], "type" : { "value" : { "elenco" : "elenco" } } } },
        { "data_is_empty" : { "data" : [ "node:field-data-di-spubblicazione" ] } }
      ],
      "DO" : [
        { "schedule" : {
            "component" : "rules_rimuovi_da_elenco",
            "date" : {
              "select" : "node:field-anno-solare-di-competenza",
              "date_offset" : { "value" : 186624000 }
            },
            "identifier" : "[node:nid] [node:title]",
            "param_node" : [ "node" ]
          }
        },
        { "data_set" : {
            "data" : [ "node:field-data-di-spubblicazione" ],
            "value" : {
              "select" : "node:field-anno-solare-di-competenza",
              "date_offset" : { "value" : 186624000 }
            }
          }
        }
      ]
    }
  }');
  $items['rules_incarico_sog_privati_spubblicazione'] = entity_import('rules_config', '{ "rules_incarico_sog_privati_spubblicazione" : {
      "LABEL" : "Incarico sog. privati - Spubblicazione",
      "PLUGIN" : "reaction rule",
      "WEIGHT" : "1",
      "TAGS" : [ "Amministrazione trasparente" ],
      "REQUIRES" : [ "rules", "rules_scheduler" ],
      "ON" : [ "node_insert", "node_update" ],
      "IF" : [
        { "node_is_of_type" : {
            "node" : [ "node" ],
            "type" : { "value" : { "elenco_incarichi_sog_privati" : "elenco_incarichi_sog_privati" } }
          }
        }
      ],
      "DO" : [
        { "schedule" : {
            "component" : "rules_rimuovi_da_elenco",
            "date" : {
              "select" : "node:field-date-incarico:value2",
              "date_offset" : { "value" : 93312000 }
            },
            "identifier" : "[node:nid] [node:title]",
            "param_node" : [ "node" ]
          }
        }
      ]
    }
  }');
  $items['rules_incarico_spubblicazione'] = entity_import('rules_config', '{ "rules_incarico_spubblicazione" : {
      "LABEL" : "Incarico - Spubblicazione",
      "PLUGIN" : "reaction rule",
      "TAGS" : [ "Amministrazione trasparente" ],
      "REQUIRES" : [ "rules", "rules_scheduler" ],
      "ON" : [ "node_insert", "node_update" ],
      "IF" : [
        { "node_is_of_type" : {
            "node" : [ "node" ],
            "type" : { "value" : { "elenco_incarichi_autorizzati" : "elenco_incarichi_autorizzati" } }
          }
        }
      ],
      "DO" : [
        { "schedule" : {
            "component" : "rules_rimuovi_da_elenco",
            "date" : {
              "select" : "node:field-date-incarico:value2",
              "date_offset" : { "value" : 93312000 }
            },
            "identifier" : "[node:nid] [node:title]",
            "param_node" : [ "node" ]
          }
        }
      ]
    }
  }');
  $items['rules_indicizzazione_trasparenza'] = entity_import('rules_config', '{ "rules_indicizzazione_trasparenza" : {
      "LABEL" : "Indicizzazione trasparenza",
      "PLUGIN" : "reaction rule",
      "TAGS" : [ "indicizzazione" ],
      "REQUIRES" : [ "rules" ],
      "ON" : [ "node_presave", "node_update" ],
      "IF" : [
        { "node_is_of_type" : {
            "node" : [ "node" ],
            "type" : { "value" : { "trasparenza" : "trasparenza" } }
          }
        },
        { "entity_has_field" : { "entity" : [ "node" ], "field" : "meta_robots" } },
        { "data_is" : { "data" : [ "node:field-indicizzazione-robots" ], "value" : 1 } }
      ],
      "DO" : [
        { "data_set" : { "data" : [ "node:meta-robots" ], "value" : "index,follow" } },
        { "data_set" : {
            "data" : [ "node:field-trasparenza-dc-description" ],
            "value" : "Amministrazione trasparente"
          }
        }
      ]
    }
  }');
  $items['rules_no_indicizzazione_trasparenza'] = entity_import('rules_config', '{ "rules_no_indicizzazione_trasparenza" : {
      "LABEL" : "NO Indicizzazione trasparenza",
      "PLUGIN" : "reaction rule",
      "TAGS" : [ "indicizzazione" ],
      "REQUIRES" : [ "rules" ],
      "ON" : [ "node_presave", "node_update" ],
      "IF" : [
        { "node_is_of_type" : {
            "node" : [ "node" ],
            "type" : { "value" : { "trasparenza" : "trasparenza" } }
          }
        },
        { "entity_has_field" : { "entity" : [ "node" ], "field" : "meta_robots" } },
        { "data_is" : { "data" : [ "node:field-indicizzazione-robots" ], "value" : 0 } }
      ],
      "DO" : [
        { "data_set" : {
            "data" : [ "node:meta-robots" ],
            "value" : "noindex,nofollow,noarchive"
          }
        },
        { "data_set" : { "data" : [ "node:field-trasparenza-dc-description" ] } }
      ]
    }
  }');
  $items['rules_pianificazione_rimozione_da_altro_per_amne_trasparente'] = entity_import('rules_config', '{ "rules_pianificazione_rimozione_da_altro_per_amne_trasparente" : {
      "LABEL" : "Pianificazione rimozione da altro per Amne trasparente",
      "PLUGIN" : "reaction rule",
      "WEIGHT" : "-1",
      "TAGS" : [ "Amministrazione trasparente" ],
      "REQUIRES" : [ "rules", "rules_scheduler" ],
      "ON" : [ "node_insert", "node_update" ],
      "IF" : [
        { "NOT node_is_of_type" : {
            "node" : [ "node" ],
            "type" : { "value" : { "trasparenza" : "trasparenza" } }
          }
        },
        { "entity_has_field" : { "entity" : [ "node" ], "field" : "field_data_rimozione_personalizz" } }
      ],
      "DO" : [
        { "schedule" : {
            "component" : "rules_rimuovi_trasparenza_da_visione",
            "date" : [ "node:field-data-rimozione-personalizz" ],
            "identifier" : "[node:nid]-[node:title]",
            "param_node" : [ "node" ]
          }
        }
      ]
    }
  }');
  $items['rules_pianificazione_rimozione_da_am_ne_trasparente'] = entity_import('rules_config', '{ "rules_pianificazione_rimozione_da_am_ne_trasparente" : {
      "LABEL" : "Pianificazione rimozione da Am.ne trasparente",
      "PLUGIN" : "reaction rule",
      "WEIGHT" : "-3",
      "TAGS" : [ "Amministrazione trasparente" ],
      "REQUIRES" : [ "rules", "rules_scheduler" ],
      "ON" : [ "node_insert", "node_update" ],
      "IF" : [
        { "node_is_of_type" : {
            "node" : [ "node" ],
            "type" : { "value" : { "trasparenza" : "trasparenza" } }
          }
        },
        { "NOT data_is_empty" : { "data" : [ "node:field-data-di-rimozione-del-docu" ] } }
      ],
      "DO" : [
        { "schedule" : {
            "component" : "rules_rimuovi_trasparenza_da_visione",
            "date" : [ "node:field-data-di-rimozione-del-docu" ],
            "identifier" : "[node:nid]-[node:title]",
            "param_node" : [ "node" ]
          }
        }
      ]
    }
  }');
  $items['rules_rimozione_automatica_5_anni'] = entity_import('rules_config', '{ "rules_rimozione_automatica_5_anni" : {
      "LABEL" : "Rimozione automatica 5 anni",
      "PLUGIN" : "reaction rule",
      "WEIGHT" : "-8",
      "TAGS" : [ "Amministrazione trasparente" ],
      "REQUIRES" : [ "rules" ],
      "ON" : [ "node_insert", "node_update" ],
      "IF" : [
        { "node_is_of_type" : {
            "node" : [ "node" ],
            "type" : { "value" : { "trasparenza" : "trasparenza" } }
          }
        },
        { "text_matches" : { "text" : [ "node:field-rimozione-automatica-dalla" ], "match" : "SI" } },
        { "data_is_empty" : { "data" : [ "node:field-data-di-rimozione-del-docu" ] } }
      ],
      "DO" : [
        { "data_set" : {
            "data" : [ "node:field-data-di-rimozione-del-docu" ],
            "value" : {
              "select" : "node:field-anno-di-partenza-per-rimoz",
              "date_offset" : { "value" : 155520000 }
            }
          }
        }
      ]
    }
  }');
  $items['rules_rimozione_automatica_no'] = entity_import('rules_config', '{ "rules_rimozione_automatica_no" : {
      "LABEL" : "Rimozione automatica NO",
      "PLUGIN" : "reaction rule",
      "WEIGHT" : "-5",
      "TAGS" : [ "Amministrazione trasparente" ],
      "REQUIRES" : [ "rules", "rules_scheduler" ],
      "ON" : [ "node_update" ],
      "IF" : [
        { "node_is_of_type" : {
            "node" : [ "node" ],
            "type" : { "value" : { "trasparenza" : "trasparenza" } }
          }
        },
        { "text_matches" : { "text" : [ "node:field-rimozione-automatica-dalla" ], "match" : "NO" } }
      ],
      "DO" : [
        { "data_set" : { "data" : [ "node:field-data-di-rimozione-del-docu" ], "value" : [ "" ] } },
        { "schedule_delete" : {
            "component" : "rules_rimuovi_trasparenza_da_visione",
            "task" : "[node:nid]-[node:title]"
          }
        }
      ]
    }
  }');
  $items['rules_rimozione_automatica_si'] = entity_import('rules_config', '{ "rules_rimozione_automatica_si" : {
      "LABEL" : "Rimozione automatica SI",
      "PLUGIN" : "reaction rule",
      "WEIGHT" : "-6",
      "TAGS" : [ "Amministrazione trasparente" ],
      "REQUIRES" : [ "rules" ],
      "ON" : [ "node_update" ],
      "IF" : [
        { "node_is_of_type" : {
            "node" : [ "node" ],
            "type" : { "value" : { "trasparenza" : "trasparenza" } }
          }
        },
        { "text_matches" : { "text" : [ "node:field-rimozione-automatica-dalla" ], "match" : "SI" } },
        { "NOT data_is_empty" : { "data" : [ "node:field-data-rimozione-personalizz" ] } }
      ],
      "DO" : [
        { "data_set" : {
            "data" : [ "node:field-data-di-rimozione-del-docu" ],
            "value" : {
              "select" : "node:field-anno-di-partenza-per-rimoz",
              "date_offset" : { "value" : 155520000 }
            }
          }
        },
        { "data_set" : { "data" : [ "node:field-data-rimozione-personalizz" ] } }
      ]
    }
  }');
  $items['rules_rimozione_personalizzata'] = entity_import('rules_config', '{ "rules_rimozione_personalizzata" : {
      "LABEL" : "Rimozione personalizzata",
      "PLUGIN" : "reaction rule",
      "WEIGHT" : "-7",
      "TAGS" : [ "Amministrazione trasparente" ],
      "REQUIRES" : [ "rules" ],
      "ON" : [ "node_insert" ],
      "IF" : [
        { "node_is_of_type" : {
            "node" : [ "node" ],
            "type" : { "value" : { "trasparenza" : "trasparenza" } }
          }
        },
        { "text_matches" : {
            "text" : [ "node:field-rimozione-automatica-dalla" ],
            "match" : "Personalizzata"
          }
        },
        { "data_is_empty" : { "data" : [ "node:field-data-di-rimozione-del-docu" ] } }
      ],
      "DO" : [
        { "data_set" : {
            "data" : [ "node:field-data-di-rimozione-del-docu" ],
            "value" : [ "node:field-data-rimozione-personalizz" ]
          }
        }
      ]
    }
  }');
  $items['rules_rimozione_personalizzata_agg'] = entity_import('rules_config', '{ "rules_rimozione_personalizzata_agg" : {
      "LABEL" : "Rimozione personalizzata agg",
      "PLUGIN" : "reaction rule",
      "WEIGHT" : "-4",
      "TAGS" : [ "Amministrazione trasparente" ],
      "REQUIRES" : [ "rules" ],
      "ON" : [ "node_update" ],
      "IF" : [
        { "node_is_of_type" : {
            "node" : [ "node" ],
            "type" : { "value" : { "trasparenza" : "trasparenza" } }
          }
        },
        { "text_matches" : {
            "text" : [ "node:field-rimozione-automatica-dalla" ],
            "match" : "Personalizzata"
          }
        }
      ],
      "DO" : [
        { "data_set" : {
            "data" : [ "node:field-data-di-rimozione-del-docu" ],
            "value" : [ "node:field-data-rimozione-personalizz" ]
          }
        }
      ]
    }
  }');
  $items['rules_rimozione_pianificazione_eliminazione'] = entity_import('rules_config', '{ "rules_rimozione_pianificazione_eliminazione" : {
      "LABEL" : "Rimozione pianificazione eliminazione",
      "PLUGIN" : "reaction rule",
      "WEIGHT" : "-2",
      "TAGS" : [ "Amministrazione trasparente" ],
      "REQUIRES" : [ "rules", "rules_scheduler" ],
      "ON" : [ "node_delete" ],
      "IF" : [
        { "node_is_of_type" : {
            "node" : [ "node" ],
            "type" : { "value" : { "trasparenza" : "trasparenza" } }
          }
        },
        { "NOT data_is_empty" : { "data" : [ "node:field-data-di-rimozione-del-docu" ] } },
        { "data_is" : {
            "data" : [ "node:field-data-di-rimozione-del-docu" ],
            "op" : "\\u003E",
            "value" : "now"
          }
        }
      ],
      "DO" : [
        { "schedule_delete" : {
            "component" : "rules_rimuovi_trasparenza_da_visione",
            "task" : "[node:nid]-[node:title]"
          }
        }
      ]
    }
  }');
  $items['rules_rimuovi_da_elenco'] = entity_import('rules_config', '{ "rules_rimuovi_da_elenco" : {
      "LABEL" : "Rimuovi da elenco",
      "PLUGIN" : "action set",
      "REQUIRES" : [ "rules" ],
      "USES VARIABLES" : { "node" : { "label" : "Node", "type" : "node" } },
      "ACTION SET" : [ { "data_set" : { "data" : [ "node:status" ], "value" : "0" } } ]
    }
  }');
  $items['rules_rimuovi_trasparenza_da_visione'] = entity_import('rules_config', '{ "rules_rimuovi_trasparenza_da_visione" : {
      "LABEL" : "Rimuovi trasparenza da visione",
      "PLUGIN" : "action set",
      "REQUIRES" : [ "rules" ],
      "USES VARIABLES" : { "node" : { "label" : "Node", "type" : "node" } },
      "ACTION SET" : [ { "data_set" : { "data" : [ "node:status" ], "value" : "0" } } ]
    }
  }');
  return $items;
}
