<?php
/**
 * @file
 * pasw_1_amministrazione_trasparente.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function pasw_1_amministrazione_trasparente_ctools_plugin_api() {
  list($module, $api) = func_get_args();
  if ($module == "field_group" && $api == "field_group") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_views_api().
 */
function pasw_1_amministrazione_trasparente_views_api() {
  return array("api" => "3.0");
}

/**
 * Implements hook_node_info().
 */
function pasw_1_amministrazione_trasparente_node_info() {
  $items = array(
    'elenco' => array(
      'name' => t('Elenco fornitori'),
      'base' => 'node_content',
      'description' => '',
      'has_title' => '1',
      'title_label' => t('Fornitore'),
      'help' => '',
    ),
    'elenco_incarichi' => array(
      'name' => t('Elenco incarichi a dipendenti pubblici'),
      'base' => 'node_content',
      'description' => t('Elenco incarichi conferiti ai dipendenti pubblici (Es da Fondo Istituto)'),
      'has_title' => '1',
      'title_label' => t('Titolo'),
      'help' => '',
    ),
    'elenco_incarichi_autorizzati' => array(
      'name' => t('Elenco incarichi autorizzati'),
      'base' => 'node_content',
      'description' => '',
      'has_title' => '1',
      'title_label' => t('Soggetto autorizzato'),
      'help' => '',
    ),
    'elenco_incarichi_sog_privati' => array(
      'name' => t('Elenco incarichi sog. privati'),
      'base' => 'node_content',
      'description' => '',
      'has_title' => '1',
      'title_label' => t('Soggetto percettore'),
      'help' => '',
    ),
    'page' => array(
      'name' => t('Pagina base'),
      'base' => 'node_content',
      'description' => t('Utilizza <em>pagine di base</em> per i tuoi contenuti statici (esempio per una pagina \'Chi siamo\' o per altre in blocco "La scuola", "Segreteria").'),
      'has_title' => '1',
      'title_label' => t('Titolo'),
      'help' => t('<big><strong>Se Consiglio di Istituto, ATTENZIONE!<br />Alla fine del triennio di valità del Consiglio di Istituto o in caso di sostituzione di membri, NON eliminare o Modificare il nodo presente.<br />

Creare un nuovo nodo usando la funzione Clona e apportare le modifiche anche ai campi in Area di servizio.</strong></big>'),
    ),
    'trasparenza' => array(
      'name' => t('Trasparenza'),
      'base' => 'node_content',
      'description' => t('Utilizzare per pubblicare contenuti in Amministrazione trasparente compresi Piano triennale -- Piano degli indicatori e risultati attesi di bilancio - Customer satisfaction'),
      'has_title' => '1',
      'title_label' => t('Titolo'),
      'help' => '',
    ),
  );
  return $items;
}
